### Virtual Method

# Phosh DBusSensorProxyCompass get_compass_heading

#### Declaration [src]

    gdouble
    get_compass_heading (
      PhoshDBusSensorProxyCompass* object
    )

#### Description [src]

Gets the value of the “CompassHeading” D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

#### Return value

Type: `gdouble`

The property value.